For the complete documentation index, see llms.txt. This page is also available as Markdown.

Partial Assortments

Endpoints for Partial Assortments addon

Partial Assortments addon

List all categories and their rules

get
Query parameters
limitintegerOptional

Max amount of resources to be returned in a page

pageintegerOptional

The page to be returned

Responses
200

List of categories and their rules

application/json
get/b2bsellers-partial-assortment-category-rule
GET /b2bsellers-partial-assortment-category-rule HTTP/1.1
Accept: */*
200

List of categories and their rules

{
  "data": [
    {
      "id": "0191752e8684727ba17e503c4cdfa0a6-0190ba79481d7111b96ca4febb62ce62",
      "type": "b2bsellers_partial_assortment_category_rule",
      "attributes": {
        "categoryId": "0191752e8684727ba17e503c4cdfa0a6",
        "categoryVersionId": "0fa91ce3e96a4bc2be4bd9ce752c3425",
        "ruleId": "0190ba79481d7111b96ca4febb62ce62"
      }
    }
  ]
}

Assign a rule to a category for the rule-based assortment

post

If a category-rule combination already exists, the status code 204 is returned.

Responses
204

No content

No content

post/b2bsellers-partial-assortment-category-rule
POST /b2bsellers-partial-assortment-category-rule HTTP/1.1
Accept: */*

No content

Delete a rule from a category

delete

If a category-rule combination doesn't exist, the status code 204 is returned.

Path parameters
categoryIdstringRequired

UUID of a category

Example: 0191752e8684727ba17e503c4cdfa0a6
ruleIdstringRequired

UUID of a rule

Example: 0190ba79481d7111b96ca4febb62ce62
Responses
204

No content

No content

delete/b2bsellers-partial-assortment-category-rule/{categoryId}/{ruleId}
DELETE /b2bsellers-partial-assortment-category-rule/{categoryId}/{ruleId} HTTP/1.1
Accept: */*
204

No content

No content

List all landing pages and their rules

get
Query parameters
limitintegerOptional

Max amount of resources to be returned in a page

pageintegerOptional

The page to be returned

Responses
200

List of landing pages and their rules

application/json
get/b2bsellers-partial-assortment-landing-page-rule
GET /b2bsellers-partial-assortment-landing-page-rule HTTP/1.1
Accept: */*
200

List of landing pages and their rules

{
  "data": [
    {
      "id": "0191752e8684727ba17e503c4cdfa0a6-0190ba79481d7111b96ca4febb62ce62",
      "type": "b2bsellers_partial_assortment_landing_page_rule",
      "attributes": {
        "landingPageId": "0191752e8684727ba17e503c4cdfa0a6",
        "landingPageVersionId": "0fa91ce3e96a4bc2be4bd9ce752c3425",
        "ruleId": "0190ba79481d7111b96ca4febb62ce62"
      }
    }
  ]
}

Assign a rule to a landing page for the rule-based assortment

post

If a landingPage-rule combination already exists, the status code 204 is returned.

Responses
204

No content

No content

post/b2bsellers-partial-assortment-landing-page-rule
POST /b2bsellers-partial-assortment-landing-page-rule HTTP/1.1
Accept: */*

No content

Delete a rule from a landing page

delete

If a landingPage-rule combination doesn't exist, the status code 204 is returned.

Path parameters
landingPageIdstringRequired

UUID of a landing page

Example: 0191752e8684727ba17e503c4cdfa0a6
ruleIdstringRequired

UUID of a rule

Example: 0190ba79481d7111b96ca4febb62ce62
Responses
204

No content

No content

delete/b2bsellers-partial-assortment-landing-page-rule/{landingPageId}/{ruleId}
DELETE /b2bsellers-partial-assortment-landing-page-rule/{landingPageId}/{ruleId} HTTP/1.1
Accept: */*
204

No content

No content

List all products and their rules

get
Query parameters
limitintegerOptional

Max amount of resources to be returned in a page

pageintegerOptional

The page to be returned

Responses
200

List of products and their rules

application/json
get/b2bsellers-partial-assortment-product-rule
GET /b2bsellers-partial-assortment-product-rule HTTP/1.1
Accept: */*
200

List of products and their rules

{
  "data": [
    {
      "id": "0191752e8684727ba17e503c4cdfa0a6-0190ba79481d7111b96ca4febb62ce62",
      "type": "b2bsellers_partial_assortment_product_rule",
      "attributes": {
        "productId": "0191752e8684727ba17e503c4cdfa0a6",
        "productVersionId": "0fa91ce3e96a4bc2be4bd9ce752c3425",
        "ruleId": "0190ba79481d7111b96ca4febb62ce62"
      }
    }
  ]
}

Assign a rule to a product for the rule-based assortment

post

If a product-rule combination already exists, the status code 204 is returned.

Responses
204

No content

No content

post/b2bsellers-partial-assortment-product-rule
POST /b2bsellers-partial-assortment-product-rule HTTP/1.1
Accept: */*

No content

Delete a rule from a product

delete

If a product-rule combination doesn't exist, the status code 204 is returned.

Path parameters
productIdstringRequired

UUID of a product

Example: 0191752e8684727ba17e503c4cdfa0a6
ruleIdstringRequired

UUID of a rule

Example: 0190ba79481d7111b96ca4febb62ce62
Responses
204

No content

No content

delete/b2bsellers-partial-assortment-product-rule/{productId}/{ruleId}
DELETE /b2bsellers-partial-assortment-product-rule/{productId}/{ruleId} HTTP/1.1
Accept: */*
204

No content

No content

Last updated

Was this helpful?